import{S as ga,i as _a,s as Ta,e as n,k as m,w as b,t as l,M as va,c as a,d as o,m as f,a as r,x as k,h as d,b as h,G as t,g as _,y as w,q as $,o as y,B as P,v as ba,L as so}from"../../chunks/vendor-hf-doc-builder.js";import{T as no}from"../../chunks/Tip-hf-doc-builder.js";import{D as tt}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ot}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ie}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as ao}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ka(x){let i,T;return i=new ot({props:{code:`from transformers import GPTNeoXConfig, GPTNeoXModel

# Initializing a GPTNeoX gpt-neox-20b style configuration
configuration = GPTNeoXConfig()

# Initializing a model (with random weights) from the gpt-neox-20b style configuration
model = GPTNeoXModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoXConfig, GPTNeoXModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a GPTNeoX gpt-neox-20b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = GPTNeoXConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the gpt-neox-20b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){b(i.$$.fragment)},l(c){k(i.$$.fragment,c)},m(c,u){w(i,c,u),T=!0},p:so,i(c){T||($(i.$$.fragment,c),T=!0)},o(c){y(i.$$.fragment,c),T=!1},d(c){P(i,c)}}}function wa(x){let i,T,c,u,v;return u=new ot({props:{code:`from transformers import GPTNeoXTokenizerFast
tokenizer = GPTNeoXTokenizerFast.from_pretrained("gpt2")
tokenizer("Hello world")['input_ids']
tokenizer(" Hello world")['input_ids']`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python"><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoXTokenizerFast</span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">tokenizer = GPTNeoXTokenizerFast.from_pretrained(<span class="hljs-string">&quot;gpt2&quot;</span>)</span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">tokenizer(<span class="hljs-string">&quot;Hello world&quot;</span>)[<span class="hljs-string">&#x27;input_ids&#x27;</span>]</span>
[15496, 995]
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">tokenizer(<span class="hljs-string">&quot; Hello world&quot;</span>)[<span class="hljs-string">&#x27;input_ids&#x27;</span>]</span>
[18435, 995]`}}),{c(){i=n("p"),T=l("be encoded differently whether it is at the beginning of the sentence (without space) or not:"),c=m(),b(u.$$.fragment)},l(s){i=a(s,"P",{});var g=r(i);T=d(g,"be encoded differently whether it is at the beginning of the sentence (without space) or not:"),g.forEach(o),c=f(s),k(u.$$.fragment,s)},m(s,g){_(s,i,g),t(i,T),_(s,c,g),w(u,s,g),v=!0},p:so,i(s){v||($(u.$$.fragment,s),v=!0)},o(s){y(u.$$.fragment,s),v=!1},d(s){s&&o(i),s&&o(c),P(u,s)}}}function $a(x){let i,T,c,u,v,s,g,G;return{c(){i=n("p"),T=l("When used with "),c=n("code"),u=l("is_split_into_words=True"),v=l(", this tokenizer needs to be instantiated with "),s=n("code"),g=l("add_prefix_space=True"),G=l(".")},l(z){i=a(z,"P",{});var N=r(i);T=d(N,"When used with "),c=a(N,"CODE",{});var E=r(c);u=d(E,"is_split_into_words=True"),E.forEach(o),v=d(N,", this tokenizer needs to be instantiated with "),s=a(N,"CODE",{});var M=r(s);g=d(M,"add_prefix_space=True"),M.forEach(o),G=d(N,"."),N.forEach(o)},m(z,N){_(z,i,N),t(i,T),t(i,c),t(c,u),t(i,v),t(i,s),t(s,g),t(i,G)},d(z){z&&o(i)}}}function ya(x){let i,T,c,u,v;return{c(){i=n("p"),T=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=n("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){i=a(s,"P",{});var g=r(i);T=d(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(g,"CODE",{});var G=r(c);u=d(G,"Module"),G.forEach(o),v=d(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(s,g){_(s,i,g),t(i,T),t(i,c),t(c,u),t(i,v)},d(s){s&&o(i)}}}function Pa(x){let i,T,c,u,v,s,g,G;return{c(){i=n("p"),T=l(`This example uses a random model as the real ones are all very big. To get proper results, you should use
EleutherAI/gpt-neox-20b instead of trl-internal-testing/tiny-random-GPTNeoXForCausalLM. If you get out-of-memory when loading that checkpoint, you can try
adding `),c=n("code"),u=l('device_map="auto"'),v=l(" in the "),s=n("code"),g=l("from_pretrained"),G=l(" call.")},l(z){i=a(z,"P",{});var N=r(i);T=d(N,`This example uses a random model as the real ones are all very big. To get proper results, you should use
EleutherAI/gpt-neox-20b instead of trl-internal-testing/tiny-random-GPTNeoXForCausalLM. If you get out-of-memory when loading that checkpoint, you can try
adding `),c=a(N,"CODE",{});var E=r(c);u=d(E,'device_map="auto"'),E.forEach(o),v=d(N," in the "),s=a(N,"CODE",{});var M=r(s);g=d(M,"from_pretrained"),M.forEach(o),G=d(N," call."),N.forEach(o)},m(z,N){_(z,i,N),t(i,T),t(i,c),t(c,u),t(i,v),t(i,s),t(s,g),t(i,G)},d(z){z&&o(i)}}}function Na(x){let i,T,c,u,v;return u=new ot({props:{code:`from transformers import AutoTokenizer, GPTNeoXModel
import torch

tokenizer = AutoTokenizer.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM")
model = GPTNeoXModel.from_pretrained("trl-internal-testing/tiny-random-GPTNeoXForCausalLM")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoXModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXModel.from_pretrained(<span class="hljs-string">&quot;trl-internal-testing/tiny-random-GPTNeoXForCausalLM&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){i=n("p"),T=l("Example:"),c=m(),b(u.$$.fragment)},l(s){i=a(s,"P",{});var g=r(i);T=d(g,"Example:"),g.forEach(o),c=f(s),k(u.$$.fragment,s)},m(s,g){_(s,i,g),t(i,T),_(s,c,g),w(u,s,g),v=!0},p:so,i(s){v||($(u.$$.fragment,s),v=!0)},o(s){y(u.$$.fragment,s),v=!1},d(s){s&&o(i),s&&o(c),P(u,s)}}}function Ga(x){let i,T,c,u,v;return{c(){i=n("p"),T=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=n("code"),u=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){i=a(s,"P",{});var g=r(i);T=d(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(g,"CODE",{});var G=r(c);u=d(G,"Module"),G.forEach(o),v=d(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(s,g){_(s,i,g),t(i,T),t(i,c),t(c,u),t(i,v)},d(s){s&&o(i)}}}function Xa(x){let i,T,c,u,v;return u=new ot({props:{code:`from transformers import AutoTokenizer, GPTNeoXForCausalLM, GPTNeoXConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neox-20b")
config = GPTNeoXConfig.from_pretrained("EleutherAI/gpt-neox-20b")
config.is_decoder = True
model = GPTNeoXForCausalLM.from_pretrained("EleutherAI/gpt-neox-20b", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoXForCausalLM, GPTNeoXConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = GPTNeoXConfig.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){i=n("p"),T=l("Example:"),c=m(),b(u.$$.fragment)},l(s){i=a(s,"P",{});var g=r(i);T=d(g,"Example:"),g.forEach(o),c=f(s),k(u.$$.fragment,s)},m(s,g){_(s,i,g),t(i,T),_(s,c,g),w(u,s,g),v=!0},p:so,i(s){v||($(u.$$.fragment,s),v=!0)},o(s){y(u.$$.fragment,s),v=!1},d(s){s&&o(i),s&&o(c),P(u,s)}}}function xa(x){let i,T,c,u,v,s,g,G,z,N,E,M,nt,me,ro,at,io,Xt,Y,lo,fe,co,po,xt,K,ho,ge,uo,mo,zt,Oe,fo,Et,_e,Mt,Be,go,Ct,O,Q,st,Te,_o,rt,To,Ft,Z,vo,it,bo,ko,qt,ve,jt,B,ee,lt,be,wo,dt,$o,At,q,ke,yo,D,Po,De,No,Go,we,Xo,xo,zo,S,Eo,Se,Mo,Co,We,Fo,qo,jo,te,Lt,W,oe,ct,$e,Ao,pt,Lo,It,X,ye,Io,Pe,Oo,ht,Bo,Do,So,ut,Wo,Ho,ne,Uo,Ne,Vo,mt,Jo,Ro,Yo,ae,Ko,Ge,Qo,He,Zo,en,Ot,H,se,ft,Xe,tn,gt,on,Bt,A,xe,nn,ze,an,Ee,sn,rn,ln,C,Me,dn,U,cn,Ue,pn,hn,_t,un,mn,fn,re,gn,ie,_n,le,Dt,V,de,Tt,Ce,Tn,vt,vn,St,L,Fe,bn,J,kn,bt,wn,$n,qe,yn,Pn,Nn,j,je,Gn,R,Xn,Ve,xn,zn,kt,En,Mn,Cn,ce,Fn,pe,Wt;return s=new Ie({}),me=new Ie({}),_e=new ot({props:{code:'model = GPTNeoXForCausalLM.from_pretrained("EleutherAI/gpt-neox-20b").half().cuda()',highlighted:'model = GPTNeoXForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>).half().cuda()'}}),Te=new Ie({}),ve=new ot({props:{code:`from transformers import GPTNeoXForCausalLM, GPTNeoXTokenizerFast

model = GPTNeoXForCausalLM.from_pretrained("EleutherAI/gpt-neox-20b")
tokenizer = GPTNeoXTokenizerFast.from_pretrained("EleutherAI/gpt-neox-20b")

prompt = "GPTNeoX20B is a 20B-parameter autoregressive Transformer model developed by EleutherAI."

input_ids = tokenizer(prompt, return_tensors="pt").input_ids

gen_tokens = model.generate(
    input_ids,
    do_sample=True,
    temperature=0.9,
    max_length=100,
)
gen_text = tokenizer.batch_decode(gen_tokens)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoXForCausalLM, GPTNeoXTokenizerFast

<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoXForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = GPTNeoXTokenizerFast.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neox-20b&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;GPTNeoX20B is a 20B-parameter autoregressive Transformer model developed by EleutherAI.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(
<span class="hljs-meta">... </span>    input_ids,
<span class="hljs-meta">... </span>    do_sample=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    temperature=<span class="hljs-number">0.9</span>,
<span class="hljs-meta">... </span>    max_length=<span class="hljs-number">100</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>gen_text = tokenizer.batch_decode(gen_tokens)[<span class="hljs-number">0</span>]`}}),be=new Ie({}),ke=new tt({props:{name:"class transformers.GPTNeoXConfig",anchor:"transformers.GPTNeoXConfig",parameters:[{name:"vocab_size",val:" = 50432"},{name:"hidden_size",val:" = 6144"},{name:"num_hidden_layers",val:" = 44"},{name:"num_attention_heads",val:" = 64"},{name:"intermediate_size",val:" = 24576"},{name:"hidden_act",val:" = 'gelu'"},{name:"rotary_pct",val:" = 0.25"},{name:"rotary_emb_base",val:" = 10000"},{name:"max_position_embeddings",val:" = 2048"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"use_cache",val:" = True"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"tie_word_embeddings",val:" = False"},{name:"use_parallel_residual",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50432) &#x2014;
Vocabulary size of the GPTNeoX model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXModel">GPTNeoXModel</a>.`,name:"vocab_size"},{anchor:"transformers.GPTNeoXConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 6144) &#x2014;
Dimension of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.GPTNeoXConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 44) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.GPTNeoXConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.GPTNeoXConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 24576) &#x2014;
Dimension of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.GPTNeoXConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.GPTNeoXConfig.rotary_pct",description:`<strong>rotary_pct</strong> (<code>float</code>, <em>optional</em>, defaults to 0.25) &#x2014;
percentage of hidden dimensions to allocate to rotary embeddings`,name:"rotary_pct"},{anchor:"transformers.GPTNeoXConfig.rotary_emb_base",description:`<strong>rotary_emb_base</strong> (<code>int</code>, <em>optional</em>, defaults to 10000) &#x2014;
base for computing rotary embeddings frequency`,name:"rotary_emb_base"},{anchor:"transformers.GPTNeoXConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.GPTNeoXConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.GPTNeoXConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.GPTNeoXConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.GPTNeoXConfig.use_parallel_residual",description:`<strong>use_parallel_residual</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use a &#x201C;parallel&#x201D; formulation in each Transformer layer, which can provide a slight training
speedup at large scales (e.g. 20B).
Example &#x2014;`,name:"use_parallel_residual"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_neox/configuration_gpt_neox.py#L29"}}),te=new ao({props:{anchor:"transformers.GPTNeoXConfig.example",$$slots:{default:[ka]},$$scope:{ctx:x}}}),$e=new Ie({}),ye=new tt({props:{name:"class transformers.GPTNeoXTokenizerFast",anchor:"transformers.GPTNeoXTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"merges_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"unk_token",val:" = '<|endoftext|>'"},{name:"bos_token",val:" = '<|endoftext|>'"},{name:"eos_token",val:" = '<|endoftext|>'"},{name:"add_prefix_space",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.GPTNeoXTokenizerFast.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Path to the merges file.`,name:"merges_file"},{anchor:"transformers.GPTNeoXTokenizerFast.errors",description:`<strong>errors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;replace&quot;</code>) &#x2014;
Paradigm to follow when decoding bytes to UTF-8. See
<a href="https://docs.python.org/3/library/stdtypes.html#bytes.decode" rel="nofollow">bytes.decode</a> for more information.`,name:"errors"},{anchor:"transformers.GPTNeoXTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.GPTNeoXTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The beginning of sequence token.`,name:"bos_token"},{anchor:"transformers.GPTNeoXTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.GPTNeoXTokenizerFast.add_prefix_space",description:`<strong>add_prefix_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to add an initial space to the input. This allows to treat the leading word just as any
other word. (GPTNeoX tokenizer detect beginning of words by the preceding space).`,name:"add_prefix_space"},{anchor:"transformers.GPTNeoXTokenizerFast.trim_offsets",description:`<strong>trim_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the post-processing step should trim offsets to avoid including whitespaces.`,name:"trim_offsets"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_neox/tokenization_gpt_neox_fast.py#L44"}}),ne=new ao({props:{anchor:"transformers.GPTNeoXTokenizerFast.example",$$slots:{default:[wa]},$$scope:{ctx:x}}}),ae=new no({props:{$$slots:{default:[$a]},$$scope:{ctx:x}}}),Xe=new Ie({}),xe=new tt({props:{name:"class transformers.GPTNeoXModel",anchor:"transformers.GPTNeoXModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXConfig">~GPTNeoXConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L402"}}),Me=new tt({props:{name:"forward",anchor:"transformers.GPTNeoXModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoXModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoXModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoXModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoXModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoXModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoXModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoXModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTNeoXModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.GPTNeoXModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L422",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXConfig"
>GPTNeoXConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),re=new no({props:{$$slots:{default:[ya]},$$scope:{ctx:x}}}),ie=new no({props:{warning:!0,$$slots:{default:[Pa]},$$scope:{ctx:x}}}),le=new ao({props:{anchor:"transformers.GPTNeoXModel.forward.example",$$slots:{default:[Na]},$$scope:{ctx:x}}}),Ce=new Ie({}),Fe=new tt({props:{name:"class transformers.GPTNeoXForCausalLM",anchor:"transformers.GPTNeoXForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoXForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXConfig">~GPTNeoXConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L564"}}),je=new tt({props:{name:"forward",anchor:"transformers.GPTNeoXForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoXForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoXForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoXForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoXForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <em>input_ids</em> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoXForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoXForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoXForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTNeoXForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional tensors are
only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.GPTNeoXForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels n <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.GPTNeoXForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/gpt_neox/modeling_gpt_neox.py#L582",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXConfig"
>GPTNeoXConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ce=new no({props:{$$slots:{default:[Ga]},$$scope:{ctx:x}}}),pe=new ao({props:{anchor:"transformers.GPTNeoXForCausalLM.forward.example",$$slots:{default:[Xa]},$$scope:{ctx:x}}}),{c(){i=n("meta"),T=m(),c=n("h1"),u=n("a"),v=n("span"),b(s.$$.fragment),g=m(),G=n("span"),z=l("GPT-NeoX"),N=m(),E=n("h2"),M=n("a"),nt=n("span"),b(me.$$.fragment),ro=m(),at=n("span"),io=l("Overview"),Xt=m(),Y=n("p"),lo=l(`We introduce GPT-NeoX-20B, a 20 billion parameter autoregressive language model trained on the Pile, whose weights will
be made freely and openly available to the public through a permissive license. It is, to the best of our knowledge,
the largest dense autoregressive model that has publicly available weights at the time of submission. In this work,
we describe GPT-NeoX-20B\u2019s architecture and training and evaluate its performance on a range of language-understanding,
mathematics, and knowledge-based tasks. We find that GPT-NeoX-20B is a particularly powerful few-shot reasoner and
gains far more in performance when evaluated five-shot than similarly sized GPT-3 and FairSeq models. We open-source
the training and evaluation code, as well as the model weights, at `),fe=n("a"),co=l("https://github.com/EleutherAI/gpt-neox"),po=l("."),xt=m(),K=n("p"),ho=l(`Development of the model was led by Sid Black, Stella Biderman and Eric Hallahan, and the model was trained with
generous the support of `),ge=n("a"),uo=l("CoreWeave"),mo=l("."),zt=m(),Oe=n("p"),fo=l("GPT-NeoX-20B was trained with fp16, thus it is recommended to initialize the model as follows:"),Et=m(),b(_e.$$.fragment),Mt=m(),Be=n("p"),go=l(`GPT-NeoX-20B also has a different tokenizer from the one used in GPT-J-6B and GPT-Neo. The new tokenizer allocates
additional tokens to whitespace characters, making the model more suitable for certain tasks like code generation.`),Ct=m(),O=n("h3"),Q=n("a"),st=n("span"),b(Te.$$.fragment),_o=m(),rt=n("span"),To=l("Generation"),Ft=m(),Z=n("p"),vo=l("The "),it=n("code"),bo=l("generate()"),ko=l(" method can be used to generate text using GPT Neo model."),qt=m(),b(ve.$$.fragment),jt=m(),B=n("h2"),ee=n("a"),lt=n("span"),b(be.$$.fragment),wo=m(),dt=n("span"),$o=l("GPTNeoXConfig"),At=m(),q=n("div"),b(ke.$$.fragment),yo=m(),D=n("p"),Po=l("This is the configuration class to store the configuration of a "),De=n("a"),No=l("GPTNeoXModel"),Go=l(`. It is used to instantiate an
GPTNeoX model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the GPTNeoX
`),we=n("a"),Xo=l("EleutherAI/gpt-neox-20b"),xo=l(" architecture."),zo=m(),S=n("p"),Eo=l("Configuration objects inherit from "),Se=n("a"),Mo=l("PretrainedConfig"),Co=l(` and can be used to control the model outputs. Read the
documentation from `),We=n("a"),Fo=l("PretrainedConfig"),qo=l(" for more information."),jo=m(),b(te.$$.fragment),Lt=m(),W=n("h2"),oe=n("a"),ct=n("span"),b($e.$$.fragment),Ao=m(),pt=n("span"),Lo=l("GPTNeoXTokenizerFast"),It=m(),X=n("div"),b(ye.$$.fragment),Io=m(),Pe=n("p"),Oo=l("Construct a \u201Cfast\u201D GPT-NeoX-20B tokenizer (backed by HuggingFace\u2019s "),ht=n("em"),Bo=l("tokenizers"),Do=l(` library). Based on byte-level
Byte-Pair-Encoding.`),So=m(),ut=n("p"),Wo=l("This tokenizer has been trained to treat spaces like parts of the tokens (a bit like sentencepiece) so a word will"),Ho=m(),b(ne.$$.fragment),Uo=m(),Ne=n("p"),Vo=l("You can get around that behavior by passing "),mt=n("code"),Jo=l("add_prefix_space=True"),Ro=l(` when instantiating this tokenizer, but since
the model was not pretrained this way, it might yield a decrease in performance.`),Yo=m(),b(ae.$$.fragment),Ko=m(),Ge=n("p"),Qo=l("This tokenizer inherits from "),He=n("a"),Zo=l("PreTrainedTokenizerFast"),en=l(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Ot=m(),H=n("h2"),se=n("a"),ft=n("span"),b(Xe.$$.fragment),tn=m(),gt=n("span"),on=l("GPTNeoXModel"),Bt=m(),A=n("div"),b(xe.$$.fragment),nn=m(),ze=n("p"),an=l(`The bare GPTNeoX Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Ee=n("a"),sn=l("torch.nn.Module"),rn=l(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ln=m(),C=n("div"),b(Me.$$.fragment),dn=m(),U=n("p"),cn=l("The "),Ue=n("a"),pn=l("GPTNeoXModel"),hn=l(" forward method, overrides the "),_t=n("code"),un=l("__call__"),mn=l(" special method."),fn=m(),b(re.$$.fragment),gn=m(),b(ie.$$.fragment),_n=m(),b(le.$$.fragment),Dt=m(),V=n("h2"),de=n("a"),Tt=n("span"),b(Ce.$$.fragment),Tn=m(),vt=n("span"),vn=l("GPTNeoXForCausalLM"),St=m(),L=n("div"),b(Fe.$$.fragment),bn=m(),J=n("p"),kn=l("GPTNeoX Model with a "),bt=n("code"),wn=l("language modeling"),$n=l(` head on top for CLM fine-tuning.
This model is a PyTorch `),qe=n("a"),yn=l("torch.nn.Module"),Pn=l(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Nn=m(),j=n("div"),b(je.$$.fragment),Gn=m(),R=n("p"),Xn=l("The "),Ve=n("a"),xn=l("GPTNeoXForCausalLM"),zn=l(" forward method, overrides the "),kt=n("code"),En=l("__call__"),Mn=l(" special method."),Cn=m(),b(ce.$$.fragment),Fn=m(),b(pe.$$.fragment),this.h()},l(e){const p=va('[data-svelte="svelte-1phssyn"]',document.head);i=a(p,"META",{name:!0,content:!0}),p.forEach(o),T=f(e),c=a(e,"H1",{class:!0});var Ae=r(c);u=a(Ae,"A",{id:!0,class:!0,href:!0});var wt=r(u);v=a(wt,"SPAN",{});var $t=r(v);k(s.$$.fragment,$t),$t.forEach(o),wt.forEach(o),g=f(Ae),G=a(Ae,"SPAN",{});var yt=r(G);z=d(yt,"GPT-NeoX"),yt.forEach(o),Ae.forEach(o),N=f(e),E=a(e,"H2",{class:!0});var Le=r(E);M=a(Le,"A",{id:!0,class:!0,href:!0});var Pt=r(M);nt=a(Pt,"SPAN",{});var Nt=r(nt);k(me.$$.fragment,Nt),Nt.forEach(o),Pt.forEach(o),ro=f(Le),at=a(Le,"SPAN",{});var Gt=r(at);io=d(Gt,"Overview"),Gt.forEach(o),Le.forEach(o),Xt=f(e),Y=a(e,"P",{});var Ht=r(Y);lo=d(Ht,`We introduce GPT-NeoX-20B, a 20 billion parameter autoregressive language model trained on the Pile, whose weights will
be made freely and openly available to the public through a permissive license. It is, to the best of our knowledge,
the largest dense autoregressive model that has publicly available weights at the time of submission. In this work,
we describe GPT-NeoX-20B\u2019s architecture and training and evaluate its performance on a range of language-understanding,
mathematics, and knowledge-based tasks. We find that GPT-NeoX-20B is a particularly powerful few-shot reasoner and
gains far more in performance when evaluated five-shot than similarly sized GPT-3 and FairSeq models. We open-source
the training and evaluation code, as well as the model weights, at `),fe=a(Ht,"A",{href:!0,rel:!0});var qn=r(fe);co=d(qn,"https://github.com/EleutherAI/gpt-neox"),qn.forEach(o),po=d(Ht,"."),Ht.forEach(o),xt=f(e),K=a(e,"P",{});var Ut=r(K);ho=d(Ut,`Development of the model was led by Sid Black, Stella Biderman and Eric Hallahan, and the model was trained with
generous the support of `),ge=a(Ut,"A",{href:!0,rel:!0});var jn=r(ge);uo=d(jn,"CoreWeave"),jn.forEach(o),mo=d(Ut,"."),Ut.forEach(o),zt=f(e),Oe=a(e,"P",{});var An=r(Oe);fo=d(An,"GPT-NeoX-20B was trained with fp16, thus it is recommended to initialize the model as follows:"),An.forEach(o),Et=f(e),k(_e.$$.fragment,e),Mt=f(e),Be=a(e,"P",{});var Ln=r(Be);go=d(Ln,`GPT-NeoX-20B also has a different tokenizer from the one used in GPT-J-6B and GPT-Neo. The new tokenizer allocates
additional tokens to whitespace characters, making the model more suitable for certain tasks like code generation.`),Ln.forEach(o),Ct=f(e),O=a(e,"H3",{class:!0});var Vt=r(O);Q=a(Vt,"A",{id:!0,class:!0,href:!0});var In=r(Q);st=a(In,"SPAN",{});var On=r(st);k(Te.$$.fragment,On),On.forEach(o),In.forEach(o),_o=f(Vt),rt=a(Vt,"SPAN",{});var Bn=r(rt);To=d(Bn,"Generation"),Bn.forEach(o),Vt.forEach(o),Ft=f(e),Z=a(e,"P",{});var Jt=r(Z);vo=d(Jt,"The "),it=a(Jt,"CODE",{});var Dn=r(it);bo=d(Dn,"generate()"),Dn.forEach(o),ko=d(Jt," method can be used to generate text using GPT Neo model."),Jt.forEach(o),qt=f(e),k(ve.$$.fragment,e),jt=f(e),B=a(e,"H2",{class:!0});var Rt=r(B);ee=a(Rt,"A",{id:!0,class:!0,href:!0});var Sn=r(ee);lt=a(Sn,"SPAN",{});var Wn=r(lt);k(be.$$.fragment,Wn),Wn.forEach(o),Sn.forEach(o),wo=f(Rt),dt=a(Rt,"SPAN",{});var Hn=r(dt);$o=d(Hn,"GPTNeoXConfig"),Hn.forEach(o),Rt.forEach(o),At=f(e),q=a(e,"DIV",{class:!0});var he=r(q);k(ke.$$.fragment,he),yo=f(he),D=a(he,"P",{});var Je=r(D);Po=d(Je,"This is the configuration class to store the configuration of a "),De=a(Je,"A",{href:!0});var Un=r(De);No=d(Un,"GPTNeoXModel"),Un.forEach(o),Go=d(Je,`. It is used to instantiate an
GPTNeoX model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the GPTNeoX
`),we=a(Je,"A",{href:!0,rel:!0});var Vn=r(we);Xo=d(Vn,"EleutherAI/gpt-neox-20b"),Vn.forEach(o),xo=d(Je," architecture."),Je.forEach(o),zo=f(he),S=a(he,"P",{});var Re=r(S);Eo=d(Re,"Configuration objects inherit from "),Se=a(Re,"A",{href:!0});var Jn=r(Se);Mo=d(Jn,"PretrainedConfig"),Jn.forEach(o),Co=d(Re,` and can be used to control the model outputs. Read the
documentation from `),We=a(Re,"A",{href:!0});var Rn=r(We);Fo=d(Rn,"PretrainedConfig"),Rn.forEach(o),qo=d(Re," for more information."),Re.forEach(o),jo=f(he),k(te.$$.fragment,he),he.forEach(o),Lt=f(e),W=a(e,"H2",{class:!0});var Yt=r(W);oe=a(Yt,"A",{id:!0,class:!0,href:!0});var Yn=r(oe);ct=a(Yn,"SPAN",{});var Kn=r(ct);k($e.$$.fragment,Kn),Kn.forEach(o),Yn.forEach(o),Ao=f(Yt),pt=a(Yt,"SPAN",{});var Qn=r(pt);Lo=d(Qn,"GPTNeoXTokenizerFast"),Qn.forEach(o),Yt.forEach(o),It=f(e),X=a(e,"DIV",{class:!0});var F=r(X);k(ye.$$.fragment,F),Io=f(F),Pe=a(F,"P",{});var Kt=r(Pe);Oo=d(Kt,"Construct a \u201Cfast\u201D GPT-NeoX-20B tokenizer (backed by HuggingFace\u2019s "),ht=a(Kt,"EM",{});var Zn=r(ht);Bo=d(Zn,"tokenizers"),Zn.forEach(o),Do=d(Kt,` library). Based on byte-level
Byte-Pair-Encoding.`),Kt.forEach(o),So=f(F),ut=a(F,"P",{});var ea=r(ut);Wo=d(ea,"This tokenizer has been trained to treat spaces like parts of the tokens (a bit like sentencepiece) so a word will"),ea.forEach(o),Ho=f(F),k(ne.$$.fragment,F),Uo=f(F),Ne=a(F,"P",{});var Qt=r(Ne);Vo=d(Qt,"You can get around that behavior by passing "),mt=a(Qt,"CODE",{});var ta=r(mt);Jo=d(ta,"add_prefix_space=True"),ta.forEach(o),Ro=d(Qt,` when instantiating this tokenizer, but since
the model was not pretrained this way, it might yield a decrease in performance.`),Qt.forEach(o),Yo=f(F),k(ae.$$.fragment,F),Ko=f(F),Ge=a(F,"P",{});var Zt=r(Ge);Qo=d(Zt,"This tokenizer inherits from "),He=a(Zt,"A",{href:!0});var oa=r(He);Zo=d(oa,"PreTrainedTokenizerFast"),oa.forEach(o),en=d(Zt,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Zt.forEach(o),F.forEach(o),Ot=f(e),H=a(e,"H2",{class:!0});var eo=r(H);se=a(eo,"A",{id:!0,class:!0,href:!0});var na=r(se);ft=a(na,"SPAN",{});var aa=r(ft);k(Xe.$$.fragment,aa),aa.forEach(o),na.forEach(o),tn=f(eo),gt=a(eo,"SPAN",{});var sa=r(gt);on=d(sa,"GPTNeoXModel"),sa.forEach(o),eo.forEach(o),Bt=f(e),A=a(e,"DIV",{class:!0});var Ye=r(A);k(xe.$$.fragment,Ye),nn=f(Ye),ze=a(Ye,"P",{});var to=r(ze);an=d(to,`The bare GPTNeoX Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Ee=a(to,"A",{href:!0,rel:!0});var ra=r(Ee);sn=d(ra,"torch.nn.Module"),ra.forEach(o),rn=d(to,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),to.forEach(o),ln=f(Ye),C=a(Ye,"DIV",{class:!0});var I=r(C);k(Me.$$.fragment,I),dn=f(I),U=a(I,"P",{});var Ke=r(U);cn=d(Ke,"The "),Ue=a(Ke,"A",{href:!0});var ia=r(Ue);pn=d(ia,"GPTNeoXModel"),ia.forEach(o),hn=d(Ke," forward method, overrides the "),_t=a(Ke,"CODE",{});var la=r(_t);un=d(la,"__call__"),la.forEach(o),mn=d(Ke," special method."),Ke.forEach(o),fn=f(I),k(re.$$.fragment,I),gn=f(I),k(ie.$$.fragment,I),_n=f(I),k(le.$$.fragment,I),I.forEach(o),Ye.forEach(o),Dt=f(e),V=a(e,"H2",{class:!0});var oo=r(V);de=a(oo,"A",{id:!0,class:!0,href:!0});var da=r(de);Tt=a(da,"SPAN",{});var ca=r(Tt);k(Ce.$$.fragment,ca),ca.forEach(o),da.forEach(o),Tn=f(oo),vt=a(oo,"SPAN",{});var pa=r(vt);vn=d(pa,"GPTNeoXForCausalLM"),pa.forEach(o),oo.forEach(o),St=f(e),L=a(e,"DIV",{class:!0});var Qe=r(L);k(Fe.$$.fragment,Qe),bn=f(Qe),J=a(Qe,"P",{});var Ze=r(J);kn=d(Ze,"GPTNeoX Model with a "),bt=a(Ze,"CODE",{});var ha=r(bt);wn=d(ha,"language modeling"),ha.forEach(o),$n=d(Ze,` head on top for CLM fine-tuning.
This model is a PyTorch `),qe=a(Ze,"A",{href:!0,rel:!0});var ua=r(qe);yn=d(ua,"torch.nn.Module"),ua.forEach(o),Pn=d(Ze,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ze.forEach(o),Nn=f(Qe),j=a(Qe,"DIV",{class:!0});var ue=r(j);k(je.$$.fragment,ue),Gn=f(ue),R=a(ue,"P",{});var et=r(R);Xn=d(et,"The "),Ve=a(et,"A",{href:!0});var ma=r(Ve);xn=d(ma,"GPTNeoXForCausalLM"),ma.forEach(o),zn=d(et," forward method, overrides the "),kt=a(et,"CODE",{});var fa=r(kt);En=d(fa,"__call__"),fa.forEach(o),Mn=d(et," special method."),et.forEach(o),Cn=f(ue),k(ce.$$.fragment,ue),Fn=f(ue),k(pe.$$.fragment,ue),ue.forEach(o),Qe.forEach(o),this.h()},h(){h(i,"name","hf:doc:metadata"),h(i,"content",JSON.stringify(za)),h(u,"id","gptneox"),h(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(u,"href","#gptneox"),h(c,"class","relative group"),h(M,"id","overview"),h(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(M,"href","#overview"),h(E,"class","relative group"),h(fe,"href","https://github.com/EleutherAI/gpt-neox"),h(fe,"rel","nofollow"),h(ge,"href","https://www.coreweave.com/"),h(ge,"rel","nofollow"),h(Q,"id","generation"),h(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(Q,"href","#generation"),h(O,"class","relative group"),h(ee,"id","transformers.GPTNeoXConfig"),h(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(ee,"href","#transformers.GPTNeoXConfig"),h(B,"class","relative group"),h(De,"href","/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXModel"),h(we,"href","https://huggingface.co/EleutherAI/gpt-neox-20b"),h(we,"rel","nofollow"),h(Se,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),h(We,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),h(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(oe,"id","transformers.GPTNeoXTokenizerFast"),h(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(oe,"href","#transformers.GPTNeoXTokenizerFast"),h(W,"class","relative group"),h(He,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),h(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(se,"id","transformers.GPTNeoXModel"),h(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(se,"href","#transformers.GPTNeoXModel"),h(H,"class","relative group"),h(Ee,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(Ee,"rel","nofollow"),h(Ue,"href","/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXModel"),h(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(de,"id","transformers.GPTNeoXForCausalLM"),h(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(de,"href","#transformers.GPTNeoXForCausalLM"),h(V,"class","relative group"),h(qe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),h(qe,"rel","nofollow"),h(Ve,"href","/docs/transformers/main/en/model_doc/gpt_neox#transformers.GPTNeoXForCausalLM"),h(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){t(document.head,i),_(e,T,p),_(e,c,p),t(c,u),t(u,v),w(s,v,null),t(c,g),t(c,G),t(G,z),_(e,N,p),_(e,E,p),t(E,M),t(M,nt),w(me,nt,null),t(E,ro),t(E,at),t(at,io),_(e,Xt,p),_(e,Y,p),t(Y,lo),t(Y,fe),t(fe,co),t(Y,po),_(e,xt,p),_(e,K,p),t(K,ho),t(K,ge),t(ge,uo),t(K,mo),_(e,zt,p),_(e,Oe,p),t(Oe,fo),_(e,Et,p),w(_e,e,p),_(e,Mt,p),_(e,Be,p),t(Be,go),_(e,Ct,p),_(e,O,p),t(O,Q),t(Q,st),w(Te,st,null),t(O,_o),t(O,rt),t(rt,To),_(e,Ft,p),_(e,Z,p),t(Z,vo),t(Z,it),t(it,bo),t(Z,ko),_(e,qt,p),w(ve,e,p),_(e,jt,p),_(e,B,p),t(B,ee),t(ee,lt),w(be,lt,null),t(B,wo),t(B,dt),t(dt,$o),_(e,At,p),_(e,q,p),w(ke,q,null),t(q,yo),t(q,D),t(D,Po),t(D,De),t(De,No),t(D,Go),t(D,we),t(we,Xo),t(D,xo),t(q,zo),t(q,S),t(S,Eo),t(S,Se),t(Se,Mo),t(S,Co),t(S,We),t(We,Fo),t(S,qo),t(q,jo),w(te,q,null),_(e,Lt,p),_(e,W,p),t(W,oe),t(oe,ct),w($e,ct,null),t(W,Ao),t(W,pt),t(pt,Lo),_(e,It,p),_(e,X,p),w(ye,X,null),t(X,Io),t(X,Pe),t(Pe,Oo),t(Pe,ht),t(ht,Bo),t(Pe,Do),t(X,So),t(X,ut),t(ut,Wo),t(X,Ho),w(ne,X,null),t(X,Uo),t(X,Ne),t(Ne,Vo),t(Ne,mt),t(mt,Jo),t(Ne,Ro),t(X,Yo),w(ae,X,null),t(X,Ko),t(X,Ge),t(Ge,Qo),t(Ge,He),t(He,Zo),t(Ge,en),_(e,Ot,p),_(e,H,p),t(H,se),t(se,ft),w(Xe,ft,null),t(H,tn),t(H,gt),t(gt,on),_(e,Bt,p),_(e,A,p),w(xe,A,null),t(A,nn),t(A,ze),t(ze,an),t(ze,Ee),t(Ee,sn),t(ze,rn),t(A,ln),t(A,C),w(Me,C,null),t(C,dn),t(C,U),t(U,cn),t(U,Ue),t(Ue,pn),t(U,hn),t(U,_t),t(_t,un),t(U,mn),t(C,fn),w(re,C,null),t(C,gn),w(ie,C,null),t(C,_n),w(le,C,null),_(e,Dt,p),_(e,V,p),t(V,de),t(de,Tt),w(Ce,Tt,null),t(V,Tn),t(V,vt),t(vt,vn),_(e,St,p),_(e,L,p),w(Fe,L,null),t(L,bn),t(L,J),t(J,kn),t(J,bt),t(bt,wn),t(J,$n),t(J,qe),t(qe,yn),t(J,Pn),t(L,Nn),t(L,j),w(je,j,null),t(j,Gn),t(j,R),t(R,Xn),t(R,Ve),t(Ve,xn),t(R,zn),t(R,kt),t(kt,En),t(R,Mn),t(j,Cn),w(ce,j,null),t(j,Fn),w(pe,j,null),Wt=!0},p(e,[p]){const Ae={};p&2&&(Ae.$$scope={dirty:p,ctx:e}),te.$set(Ae);const wt={};p&2&&(wt.$$scope={dirty:p,ctx:e}),ne.$set(wt);const $t={};p&2&&($t.$$scope={dirty:p,ctx:e}),ae.$set($t);const yt={};p&2&&(yt.$$scope={dirty:p,ctx:e}),re.$set(yt);const Le={};p&2&&(Le.$$scope={dirty:p,ctx:e}),ie.$set(Le);const Pt={};p&2&&(Pt.$$scope={dirty:p,ctx:e}),le.$set(Pt);const Nt={};p&2&&(Nt.$$scope={dirty:p,ctx:e}),ce.$set(Nt);const Gt={};p&2&&(Gt.$$scope={dirty:p,ctx:e}),pe.$set(Gt)},i(e){Wt||($(s.$$.fragment,e),$(me.$$.fragment,e),$(_e.$$.fragment,e),$(Te.$$.fragment,e),$(ve.$$.fragment,e),$(be.$$.fragment,e),$(ke.$$.fragment,e),$(te.$$.fragment,e),$($e.$$.fragment,e),$(ye.$$.fragment,e),$(ne.$$.fragment,e),$(ae.$$.fragment,e),$(Xe.$$.fragment,e),$(xe.$$.fragment,e),$(Me.$$.fragment,e),$(re.$$.fragment,e),$(ie.$$.fragment,e),$(le.$$.fragment,e),$(Ce.$$.fragment,e),$(Fe.$$.fragment,e),$(je.$$.fragment,e),$(ce.$$.fragment,e),$(pe.$$.fragment,e),Wt=!0)},o(e){y(s.$$.fragment,e),y(me.$$.fragment,e),y(_e.$$.fragment,e),y(Te.$$.fragment,e),y(ve.$$.fragment,e),y(be.$$.fragment,e),y(ke.$$.fragment,e),y(te.$$.fragment,e),y($e.$$.fragment,e),y(ye.$$.fragment,e),y(ne.$$.fragment,e),y(ae.$$.fragment,e),y(Xe.$$.fragment,e),y(xe.$$.fragment,e),y(Me.$$.fragment,e),y(re.$$.fragment,e),y(ie.$$.fragment,e),y(le.$$.fragment,e),y(Ce.$$.fragment,e),y(Fe.$$.fragment,e),y(je.$$.fragment,e),y(ce.$$.fragment,e),y(pe.$$.fragment,e),Wt=!1},d(e){o(i),e&&o(T),e&&o(c),P(s),e&&o(N),e&&o(E),P(me),e&&o(Xt),e&&o(Y),e&&o(xt),e&&o(K),e&&o(zt),e&&o(Oe),e&&o(Et),P(_e,e),e&&o(Mt),e&&o(Be),e&&o(Ct),e&&o(O),P(Te),e&&o(Ft),e&&o(Z),e&&o(qt),P(ve,e),e&&o(jt),e&&o(B),P(be),e&&o(At),e&&o(q),P(ke),P(te),e&&o(Lt),e&&o(W),P($e),e&&o(It),e&&o(X),P(ye),P(ne),P(ae),e&&o(Ot),e&&o(H),P(Xe),e&&o(Bt),e&&o(A),P(xe),P(Me),P(re),P(ie),P(le),e&&o(Dt),e&&o(V),P(Ce),e&&o(St),e&&o(L),P(Fe),P(je),P(ce),P(pe)}}}const za={local:"gptneox",sections:[{local:"overview",sections:[{local:"generation",title:"Generation"}],title:"Overview"},{local:"transformers.GPTNeoXConfig",title:"GPTNeoXConfig"},{local:"transformers.GPTNeoXTokenizerFast",title:"GPTNeoXTokenizerFast"},{local:"transformers.GPTNeoXModel",title:"GPTNeoXModel"},{local:"transformers.GPTNeoXForCausalLM",title:"GPTNeoXForCausalLM"}],title:"GPT-NeoX"};function Ea(x){return ba(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class La extends ga{constructor(i){super();_a(this,i,Ea,xa,Ta,{})}}export{La as default,za as metadata};
